import { connect } from 'react-redux';
import Session from './session';
import {login, logOut} from '../../actions/session_actions'

const mSTP = state => ({
    currentUser: state.user
});

const mDTP = dispatch => ({
    login: (userResponse) => dispatch(login(userResponse)),
    logOut: () => dispatch(logOut())
});

export default connect(mSTP, mDTP)(Session);