import { RECEIVE_USER_CART } from '../actions/cart_actions';

const initialState = {
    cart: []
}

const cartReducer = (state = initialState, action) => {
    Object.freeze(state);
    let newState = Object.assign({}, state);
    switch (action.type) {
        case RECEIVE_USER_CART:
            return newState.cart = action.cart.data.cartItems
        default:
            return state;
    }
}

export default cartReducer;